## gcc-2.95-2.95.4.ds15.tar.bz2

=== debian/bugs/Makefile ===
clean:
	rm -f `file * | awk -F: '/ELF/ {print $$1}'` gmon.out

=== debian/changelog ===
gcc-2.95 (2.95.4.ds15-27) unstable; urgency=low

  * libstdc++2.10-dev: Fix libc-dev dependency.
  * Remove references to removed tasks.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2006 16:23:33 +0000

gcc-2.95 (2.95.4.ds15-26) unstable; urgency=low

  * Do not build g77 on alpha (FTBFS). Closes: #373098.

 -- Matthias Klose <doko@debian.org>  Sat,  1 Jul 2006 09:08:19 +0000

gcc-2.95 (2.95.4.ds15-25) unstable; urgency=low

  * Matthias Klose <doko@debian.org>

    * Add big-endian arm (armeb) support (Lennert Buytenhek).
      Closes: #336064.
    * Generate the control file explicitely (debian/rules control-file)
      still using cpp-2.95, remove the build dependency on cpp-2.95.
      Closes: #336061.
    * Fix build failure with new make. Closes: #350688.

  * Thiemo Seufer <ths@debian.org>

    * Provide the canonical chill compiler.
    * Update standards version.
    * Fix some lintian warnings by adjusting the build dependencies
    * Fix changelog formatting.

 -- Thiemo Seufer <ths@debian.org>  Tue, 06 Jun 2006 02:14:15 +0100

gcc-2.95 (2.95.4.ds15-24) unstable; urgency=low

  * Thiemo Seufer <ths@debian.org>

    * Remove sparc-gcc4-fix.dpatch again, fix sparc FTBFS
      (Closes: #339703).

 -- Thiemo Seufer <ths@debian.org>  Wed, 16 Nov 2005 14:48:52 +0100

gcc-2.95 (2.95.4.ds15-23) unstable; urgency=low

  * Thiemo Seufer <ths@debian.org>

    * Acknowledge NMU.
    * Use gcc 4 fix on all architectures.
    * Add myself to Uploaders.

  * Matthias Klose <doko@debian.org>

    * Add build dependency on dpkg-dev (>= 1.13.9).

 -- Thiemo Seufer <ths@debian.org>  Mon, 14 Nov 2005 19:44:31 +0100

gcc-2.95 (2.95.4.ds15-22.1) unstable; urgency=low

  * Non-maintainer upload.
  * fix ftbfs on sparc (closes: #326506)
  * fix ftbfs due to new dpkg-dev, patch from Lennert Buytenhek
    (closes: #323512)
  * fix ftbfs on arm, patch from Lennert Buytenhek (closes: #336057)

 -- Blars Blarson <blarson@blars.org>  Fri, 28 Oct 2005 18:58:39 +0000

gcc-2.95 (2.95.4.ds15-22) unstable; urgency=low

  * Add build dependency on help2man.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Mar 2004 06:07:43 +0100

gcc-2.95 (2.95.4.ds15-21) unstable; urgency=low

  * Update gpc to gpc-20030830.

 -- Matthias Klose <doko@debian.org>  Tue,  9 Mar 2004 21:23:24 +0100

gcc-2.95 (2.95.4.ds14-20) unstable; urgency=low

  * Removed dependencies on unversioned gxx-2.95 packages.
    Actually not done in -18.

 -- Matthias Klose <doko@debian.org>  Fri,  2 Jan 2004 13:05:27 +0100

gcc-2.95 (2.95.4.ds14-19) unstable; urgency=low

  * Fix names of info docs (closes: #215813, #215838).
  * Install debug libraries in /usr/lib/debug (closes: #163667, #158762).
  * README.Debian now points to /usr/share/doc/gcc/README.Debian.
    Closes: #169632.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Oct 2003 07:45:40 +0200

gcc-2.95 (2.95.4.ds14-18) unstable; urgency=low

  * Adjust build dependencies (closes: #200670).
  * Removed dependencies on unversioned gxx-2.95 packages.
  * Remove pre-woody conflicts/replaces.
  * Adjust sections and priorities.
  * Rename info docs to gxx-2.95.info (closes: #150357).
  * Build-Depend/Depend on libgc-dev (closes: #215716).
  * Update standards version to 3.6.1.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Oct 2003 19:56:56 +0200

gcc-2.95 (2.95.4.ds14-17) unstable; urgency=low

  * Fix arm-profile.dpatch (s/NEED_PLT_RELOC/NEED_PLT_GOT/) (Phil Blundell).
    Closes: #183990.

 -- Matthias Klose <doko@debian.org>  Thu,  6 Mar 2003 07:15:12 +0100

gcc-2.95 (2.95.4.ds14-16) unstable; urgency=low

  * Install gpc-run (closes: #179511).
  * README.Debian: Cleanup and reference /usr/share/doc/gcc/README.Debian.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Feb 2003 21:24:16 +0100

gcc-2.95 (2.95.4.ds14-15) unstable; urgency=high

  * The "do-upload-the-debs-you-checked-and-no-other-debs" release.
    Closes: #169003, #168991, #168998.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Nov 2002 07:42:14 +0100

gcc-2.95 (2.95.4.ds14-14) unstable; urgency=low

  * Fix glibc version at 2.2 for libstdc++2.10 package and soname.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2002 19:05:31 +0100

gcc-2.95 (2.95.4.ds14-13) unstable; urgency=low

  * Disable libg++ for cross builds (closes: #164582).
  * Correct libc-dev dependency on the Hurd (closes: #163238).
  * Build-depend on bison-1.35.
  * gpc-updates.dpatch: Fix build failure for mips and mipsel.
  * Disable g++ on the Hurd (closes: #163234).
  * Don't compress Pascal example files.
  * Install more gpc doc files.
  * Install gpc-run script (undocumented).

 -- Matthias Klose <doko@debian.org>  Wed, 23 Oct 2002 22:34:03 +0200

gcc-2.95 (2.95.4.ds14-12) unstable; urgency=low

  * Updated Pascal to 20020910 alpha release.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Sep 2002 21:28:46 +0200

gcc-2.95 (2.95.4.ds13-11) unstable; urgency=low

  * Add ARM patch for profiling, closes: #153261

 -- Phil Blundell <pb@debian.org>  Wed, 31 Jul 2002 18:20:01 +0100

gcc-2.95 (2.95.4.ds13-10) unstable; urgency=low

  * chill: remove info docs on package removal (closes: #146850).
  * Updated s390 patch. Fixes several internal compiler errors (Gerhard Tonn).

 -- Matthias Klose <doko@debian.org>  Sun, 14 Jul 2002 19:57:23 +0200

gcc-2.95 (2.95.4.ds13-9) unstable; urgency=low

  * Final gpc-2.1 release.
  * Don't build the protoize-2.95 package anymore.

 -- Matthias Klose <doko@debian.org>  Sat, 11 May 2002 10:06:10 +0200

gcc-2.95 (2.95.4.ds12-8) unstable; urgency=medium

  * Updated gpc to 2.1 RC 7. Fixes among other building with -pipe
    and usinf the gmp unit to work with gmp-4.0 (closes: #144123).

 -- Matthias Klose <doko@debian.org>  Sat, 27 Apr 2002 16:05:30 +0200

gcc-2.95 (2.95.4.ds11-7) unstable; urgency=low

  * Update gcov manpage (closes: #138665).

 -- Matthias Klose <doko@debian.org>  Sat, 13 Apr 2002 01:51:44 +0200

gcc-2.95 (2.95.4.ds11-6) unstable; urgency=low

  * Updated gpc to 2.1 RC 6.



=== debian/control ===
Source: gcc-2.95
Section: devel
Priority: optional
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Thiemo Seufer <ths@debian.org>
Standards-Version: 3.7.2
Build-Depends: dejagnu (>= 1.4), bzip2, binutils (>= 2.11.90.0.1-1), debhelper (>= 3.0.25), gperf (>= 2.7-3), autoconf2.13, bison-1.35, flex-old, gettext, texinfo, libgc-dev [!avr !hppa !hurd-i386], libncurses-dev, libgmp3-dev, help2man, dpkg-dev (>= 1.13.9)

Package: gcc-2.95
Architecture: any
Depends: ${shlibs:Depends}, cpp-2.95 (>= 1:2.95.4), cpp-2.95 (<< 1:2.95.5), binutils (>= 2.11.90.0.1-1)
Conflicts: libc5-dev, egcc (<< 2.91.63-1.1)
Replaces: egcc
Provides: c-compiler
Recommends: libc-dev
Suggests: gcc-2.95-doc (>= 1:2.95.4)
Description: The GNU C compiler
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C, C++,
 and Objective C.

Package: cpp-2.95
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}
Replaces: g++ (<< 2.91.63-1.1)
Description: The GNU C preprocessor
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 The GNU C preprocessor is required by some utilities that use it for
 macro substitutions. This package has been separated from gcc for
 the benefit of those who require the preprocessor but not the
 compiler.

Package: cpp-2.95-doc
Architecture: all
Section: doc
Priority: optional
Conflicts: cpp-doc (<< 1:2.95.3)
Replaces: cpp (<= 1:2.93.12), cpp-doc (<< 1:2.95.3)
Description: Documentation for the GNU C preprocessor (cpp)
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 Documentation for the GNU C preprocessor in info format.

Package: g++-2.95
Architecture: any
Priority: optional
Provides: c++-compiler
Depends: ${shlibs:Depends}, gcc-2.95 (>= 1:2.95.4), gcc-2.95 (<< 1:2.95.5), libstdc++2.10-dev (>= 1:2.95.4)
Suggests: task-c++-devel
Replaces: gcc (<= 2.7.2.3-3)
Suggests: gcc-2.95-doc (>= 1:2.95.4)
Description: The GNU C++ compiler
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.

Package: gobjc-2.95
Architecture: any
Priority: optional
Suggests: gcc-2.95-doc (>= 1:2.95.4)
Recommends: libgc-dev
Depends: ${shlibs:Depends}, gcc-2.95 (>= 1:2.95.4), gcc-2.95 (<< 1:2.95.5)
Provides: objc-compiler
Description: The GNU Objective-C compiler
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This is the GNU Objective-C compiler, which compiles
 Objective-C on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: g77-2.95
Architecture: any
Priority: optional
Suggests: g77-2.95-doc
Depends: ${shlibs:Depends}, gcc-2.95 (>= 1:2.95.4), gcc-2.95 (<< 1:2.95.5)
Provides: fortran77-compiler
Description: The GNU Fortran 77 compiler
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This is the GNU g77 Fortran compiler, which compiles
 Fortran 77 on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: g77-2.95-doc
Architecture: all
Section: doc
Priority: optional
Conflicts: g77-doc (<< 1:2.95.3)
Replaces: g77 (<= 1:2.91.58-3), g77-doc (<< 1:2.95.3)
Description: Documentation for the GNU Fortran compiler (g77)
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 Documentation for the GNU Fortran 77 compiler in info format.

Package: chill-2.95
Architecture: any
Priority: extra
Replaces: chill
Provides: chill, chill-compiler
Depends: ${shlibs:Depends}, gcc-2.95 (>= 1:2.95.4), gcc-2.95 (<< 1:2.95.5)
Description: The GNU CHILL compiler
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This is the ITU CHILL compiler. CHILL is the "CCITT High-Level Language",
 where CCITT is the old name for what is now ITU, the International
 Telecommunications Union.
 .
 It is a language in the Modula-2 family, and targets many of the
 same applications as Ada (especially large embedded systems).
 CHILL was never used much in the United States, but is still
 being used in Europe, Brazil, Korea, and other places.

Package: libstdc++2.10-glibc2.2
Architecture: any
Section: libs
Priority: optional
Depends: ${shlibs:Depends}
Description: The GNU stdc++ library
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.

Package: libstdc++2.10-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libstdc++2.10-glibc2.2 (>= 1:2.95.4), libc6-dev (>= 2.1.95) | libc-dev, g++-2.95 (>= 1:2.95.4)
Provides: libstdc++-dev
Conflicts: libg++27-dev, libg++272-dev (<< 2.7.2.8-1), libstdc++2.8-dev, libg++2.8-dev, libstdc++2.9-dev, libstdc++2.9-glibc2.1-dev
Suggests: stl-manual
Description: The GNU stdc++ library (development files)
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This package contains the headers and static library files necessary for
 building C++ programs which use libstdc++. Be advised that this only works
 with the GNU C++ compiler (version 2.95), and no earlier library will work it.

Package: libstdc++2.10-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libstdc++2.10-glibc2.2, libstdc++2.10-dev
Description: The GNU stdc++ library (debugging files)
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This package contains the shared library of libstdc++ compiled with debugging
 symbols.

Package: libg++2.8.1.3-glibc2.2
Architecture: any
Section: libs
Priority: optional
Depends: ${shlibs:Depends}
Provides: libg++
Conflicts: libg++2.9 (<< 2.91.56)
Replaces: libg++2.9 (<< 2.91.56), libg++2.9-ss (<< 2.91.56), libstdc++2.8-dev (<= 2.90.29-0.5)
Description: The GNU C++ extension library - runtime version
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This package contains the runtime version of the GNU classes.

Package: libg++2.8.1.3-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libg++2.8.1.3-glibc2.2 (>= 1:2.95.4)
Provides: libg++-dev
Conflicts: libg++27-dev, libg++272-dev (<< 2.7.2.8-1), libg++2.8-dev, libg++2.9-dev (<< 2.91.56), libg++2.8.2-dev, libg++2.8.2-glibc2.1-dev
Replaces: libg++2.9-dev (<< 2.91.56), libg++2.8.2-dev, libg++2.8.2-glibc2.1-dev
Description: The GNU C++ extension library - development files
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This package contains some GNU classes.
 .
 This package is no longer supported upstream (as most of its
 functionality is now in the standard C++ library) - do not use this

Package: libg++2.8.1.3-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libg++2.8.1.3-glibc2.2, libg++2.8.1.3-dev
Description: The GNU C++ extension library - debugging files
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This package contains a shared library with some GNU classes compiled
 with debugging symbols.
 .
 This package is no longer supported upstream (as most of its
 functionality is now in the standard C++ library) - do not use this
 for development of new software; use libstdc++ instead.

Package: gcc-2.95-doc
Architecture: all
Section: doc
Priority: optional
Conflicts: gcc-docs (<< 2.95.2), egcs-docs (<< 2.95), gcc-doc (<< 1:2.95.3)
Replaces: gcc (<=2.7.2.3-4.3), egcs-docs (<< 2.95), gcc-docs (<< 2.95.2), gcc-doc (<< 1:2.95.3)
Provides: gcc-docs, egcs-docs
Description: Documentation for the GNU compilers (gcc, gobjc, g++)
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 Documentation for the GNU compilers in info format.

Package: gpc-2.95
Architecture: any
Priority: optional
Recommends: libgmp3-dev, libncurses5-dev
Suggests: gpc-2.95-doc (>= 1:2.95.4)
Depends: ${shlibs:Depends}, gcc-2.95 (>= 1:2.95.4), gcc-2.95 (<< 1:2.95.5)
Provides: pascal-compiler
Description: The GNU Pascal compiler
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 This is the GNU Pascal compiler, which compiles
 Pascal on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
 .
 The current beta release 2.2 implements Standard Pascal (ISO 7185,
 level 1), a large subset of Extended Pascal (ISO 10206), and
 Borland Pascal. Many Borland Pascal units supported.

Package: gpc-2.95-doc
Architecture: all
Section: doc
Priority: optional
Conflicts: gpc-doc (<< 1:2.95.3)
Replaces: gpc (<= 2.91.58-3), gpc-doc (<< 1:2.95.3)
Description: Documentation for the GNU Pascal compiler (gpc)
 NOTE: This is not a final release, but taken from the CVS gcc-2_95-branch
 (dated 2001-10-02).
 .
 Documentation for the GNU Pascal compiler in info format.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# Build rules for gcc (>= 2.95) and gcc-snapshot
# Targets found in this makefile:
#	- unpack tarballs
#	- patch sources
#	- (re)create the control file
#	- create a debian/rules.parameters file, which is included
#	  by debian/rules2
# All other targets are passed to the debian/rules2 file

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

default: build

include debian/rules.defs
#include debian/rules.unpack
#include debian/rules.patch

unpack: $(unpack_stamps)
$(unpack_stamp)-%:
	$(MAKE) -f debian/rules2 TARGET=$* $@

patch: unpack $(patch_stamps)
$(patch_stamp)-%:
	$(MAKE) -f debian/rules2 TARGET=$* $@

control: patch $(control_stamp)
$(control_stamp):
	-mkdir $(stampdir)
	$(MAKE) -f debian/rules.conf control
	touch $(control_stamp)

control-file:
	$(MAKE) -f debian/rules.conf $@

configure: control $(configure_stamps)
$(configure_stamp)-%:
	$(MAKE) -f debian/rules2  TARGET=$* $@

build: configure $(build_stamps)
$(build_stamp)-%:
	$(MAKE) -f debian/rules2 TARGET=$* $@

check:
	$(MAKE) -f debian/rules2 TARGET=native $@

clean:
	rm -rf $(stampdir)
	-$(MAKE) -f debian/rules2 $@
	rm -rf $(srcdir) $(builddir)*
	rm -rf src src-* build build-*
	rm -f bootstrap-* first-move-stamp
	rm -f debian/*.tmp debian/rules2.hack
	dh_clean

mail-summary:
	$(MAKE) -f debian/rules2 $@

install: build $(install_stamps)
$(install_stamp)-%:
	$(MAKE) -f debian/rules2 TARGET=$* $@

binary-indep: install $(binary_stamps)
	$(MAKE) -f debian/rules2 TARGET=$* $@

binary-arch: install binary-arch-hack $(binary_stamps)
	$(MAKE) -f debian/rules2 TARGET=$* $@

binary-arch-hack:
	echo 'binary_hack = arch' > debian/rules2.hack
binary-indep-hack:
	echo 'binary_hack = indep' > debian/rules2.hack

binary: install $(binary_stamps)
$(binary_stamp)-%:
	$(MAKE) -f debian/rules2 TARGET=$* $@

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3
opts=dversionmangle=s/\.ds\d+$// \
  ftp://gcc.gnu.org/pub/gcc/releases/gcc-(2\.95[\d\.]*)
